gd_getdata64(3)

NAME
gd_getdata64 — retrieve data from a Dirfile database, with largefile support

SYNOPSIS
#define GD_64BIT_API
#include <getdata.h>

size_t gd_getdata64(DIRFILE *dirfile, const char *field_code, gd_off64_t first_frame, gd_off64_t first_sample, size_t num_frames, size_t num_samples, gd_type_t return_type, void *data_out);

DESCRIPTION
This version of uses a 64-bit offset type (gd_off64_t), regardless of the size of off_t. This function is only guaranteed to be available if GD_64BIT_API is defined before including getdata.h.

If off_t is a 64-bit type, this function will the same as Otherwise, will be a version of this function which uses a 32-bit off_t.

SEE ALSO
feature_test_macros(7)